%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/zcalusic/sysinfo
Version:                1.0.2

%gometa


%global common_description %{expand:
Sysinfo is a Go library providing Linux OS / kernel / hardware system
information.}

%global golicenses      LICENSE cpuid-LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library providing Linux system information

License:        BSD-3-Clause AND MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build

%install
%gopkginstall
mv cpuid/LICENSE cpuid-LICENSE

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
